Delete field by record ID and type
curl --request DELETE \
--url https://api.staging.payrails.io/token/records/{recordId}/fields/{fieldType} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/token/records/{recordId}/fields/{fieldType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/token/records/{recordId}/fields/{fieldType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}Delete field by record ID and type
Delete a field by the given record ID and field type.
DELETE
https://api.staging.payrails.io
/
token
/
records
/
{recordId}
/
fields
/
{fieldType}
Delete field by record ID and type
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
Identifier of the resource in Payrails.
Type of the record field / alias.
Available options:
cardNumber, expiryMonth, expiryYear, securityCode, holderName, networkToken, cryptogram Response
The resource was deleted successfully.
Last modified on October 7, 2026